Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.gena
Class RemoteGENASubscription

    java.lang.Object
      org.teleal.cling.model.gena.GENASubscription<RemoteService>
          org.teleal.cling.model.gena.RemoteGENASubscription

    public abstract class RemoteGENASubscription

extends GENASubscription<RemoteService>

Author:
  Christian Bauer

Field Summary
`static String` | `ALL_STATE_VARIABLE_VALUES`
`protected PropertyChangeSupport` | `propertyChangeSupport`

Fields inherited from class org.teleal.cling.model.gena.GENASubscription
`actualDurationSeconds, currentSequence, currentValues, deviceService, requestedDurationSeconds, subscriptionId`

Constructor Summary
`protected` | `RemoteGENASubscription(DeviceService deviceService)`
`protected` | `RemoteGENASubscription(DeviceService deviceService, int requestedDurationSeconds)`

Method Summary
`void` | `end(CancelReason reason, UpnpResponse response)`
`abstract void` | `ended(CancelReason reason, UpnpResponse responseStatus)`
`void` | `establish()`
`abstract void` | `eventsMissed(int numberOfMissedEvents)`
`void` | `fail(UpnpResponse responseStatus)`
`abstract void` | `failed(UpnpResponse responseStatus)`
`URL` | `getEventSubscriptionURL()`
`URL` | `getLocalEventCallbackURL(int streamListenPort)`
`PropertyChangeSupport` | `getPropertyChangeSupport()`
`void` | `receive(UnsignedIntegerFourBytes sequence, Collection<StateVariableValue> newValues)`
`String` | `toString()`

Methods inherited from class org.teleal.cling.model.gena.GENASubscription
`established, eventReceived, getActualDurationSeconds, getCurrentSequence, getCurrentValues, getDeviceService, getRequestedDurationSeconds, getSubscriptionId, setActualSubscriptionDurationSeconds, setSubscriptionId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_STATE_VARIABLE_VALUES

    public static final String ALL_STATE_VARIABLE_VALUES

See Also:
  Constant Field Values

### propertyChangeSupport

    protected PropertyChangeSupport propertyChangeSupport

Constructor Detail

### RemoteGENASubscription

    protected RemoteGENASubscription(DeviceService deviceService)

### RemoteGENASubscription

    protected RemoteGENASubscription(DeviceService deviceService,
                                     int requestedDurationSeconds)

Method Detail

### getEventSubscriptionURL

    public URL getEventSubscriptionURL()

### getLocalEventCallbackURL

    public URL getLocalEventCallbackURL(int streamListenPort)

### getPropertyChangeSupport

    public PropertyChangeSupport getPropertyChangeSupport()

### establish

    public void establish()

### fail

    public void fail(UpnpResponse responseStatus)

### end

    public void end(CancelReason reason,
                    UpnpResponse response)

### receive

    public void receive(UnsignedIntegerFourBytes sequence,
                        Collection<StateVariableValue> newValues)

### failed

    public abstract void failed(UpnpResponse responseStatus)

### ended

    public abstract void ended(CancelReason reason,
                               UpnpResponse responseStatus)

### eventsMissed

    public abstract void eventsMissed(int numberOfMissedEvents)

### toString

    public String toString()

  Overrides:
    `toString` in class `GENASubscription<RemoteService>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.